Chuyển đến nội dung
Diễn đàn CADViet
hoanghai2803

Ghi text cho từng vị trí thiết bị

Các bài được khuyến nghị

Chào các bác. Em có vấn đề này muốn hỏi các bác ạ. Ví dụ như em có mặt bằng tầng văn phòng có 600 cái đèn máng chẳng hạn, em muốn mỗi vị trí đèn trên bản vẽ đều có ghi chú text nội dung là "đèn máng 600x600" thì có lisp nào ghi được một loạt không ạ, hay phải làm thủ công? Mục đích phục vụ để thống kê text ạ! Cảm ơn các bác mong các bác chỉ giáo!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
1 phút trước, hoanghai2803 đã nói:

Chào các bác. Em có vấn đề này muốn hỏi các bác ạ. Ví dụ như em có mặt bằng tầng văn phòng có 600 cái đèn máng chẳng hạn, em muốn mỗi vị trí đèn trên bản vẽ đều có ghi chú text nội dung là "đèn máng 600x600" thì có lisp nào ghi được một loạt không ạ, hay phải làm thủ công? Mục đích phục vụ để thống kê text ạ! Cảm ơn các bác mong các bác chỉ giáo!

Nếu có thông tin lọc được vị trí đèn thì có thể ghi được, nhưng nếu lọc được thì đã có thể thống kê luôn được 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Vừa xong, Doan Nguyen Van đã nói:

Nếu có thông tin lọc được vị trí đèn thì có thể ghi được, nhưng nếu lọc được thì đã có thể thống kê luôn được 

Ý em muốn dùng cả 2 thống kê text và thống kê block ạ :)

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
2 phút trước, hoanghai2803 đã nói:

Ý em muốn dùng cả 2 thống kê text và thống kê block ạ :)

 

Bạn nên gửi bản vẽ lên thì mới biết được

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Làm thủ công với điều kiện 600 cái đèn máng đó là block:

- Saveas file bản vẽ mới

- Vào bản vẽ mới rồi Edit block đèn, thêm chứ cần hiển thị, lyout text để là layout riêng

- Phá khối toàn bộ block đèn rồi cho hiển thị riêng layout text mới thêm

- Copy  toàn bộ text đó qua bản vẽ gốc 

 

:D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
2 giờ trước, conghoa đã nói:

Làm thủ công với điều kiện 600 cái đèn máng đó là block:

- Saveas file bản vẽ mới

- Vào bản vẽ mới rồi Edit block đèn, thêm chứ cần hiển thị, lyout text để là layout riêng

- Phá khối toàn bộ block đèn rồi cho hiển thị riêng layout text mới thêm

- Copy  toàn bộ text đó qua bản vẽ gốc 

 

:D

Ý tưởng không tồi ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nếu là block thì edit block thêm chữ vào là được. Đếm block thì code vài dòng:

(defun c:demblock ( / tenkhoi n ss)
(setq tenkhoi (cdr (assoc 2 (entget (car (entsel "\nChon mau"))))))
(setq ss (ssget (list (cons 0 "insert")
              (cons 2 tenkhoi)))
      n (sslength ss)
      )
(print (strcat tenkhoi ":" (rtos n 2 0) "cai")))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
6 giờ trước, cuongtk2 đã nói:

Nếu là block thì edit block thêm chữ vào là được. Đếm block thì code vài dòng:

(defun c:demblock ( / tenkhoi n ss)
(setq tenkhoi (cdr (assoc 2 (entget (car (entsel "\nChon mau"))))))
(setq ss (ssget (list (cons 0 "insert")
              (cons 2 tenkhoi)))
      n (sslength ss)
      )
(print (strcat tenkhoi ":" (rtos n 2 0) "cai")))

Bạn có thể nâng cấp lisp này để đếm được với block Visibility State luôn được không ạ! Cảm ơn bạn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
1 giờ trước, cuongtk2 đã nói:

Code không đẹp nhưng dùng được.

demblock.LSP

Cảm ơn bạn, mình dùng nó báo lỗi:Select objects:  ; error: bad argument type: VLA-OBJECT nil.Bạn kiểm tra giúp với nhé, mình có gửi file cad đính kèm.

file cad.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
34 phút trước, cuongtk2 đã nói:

Chắc thiếu (vl-load-com)

Up lại chạy thử

demblock.LSP

Command: DEMBLOCK

Chon mau:
Select objects: Specify opposite corner: 8 found

Select objects:  ; error: bad argument type: VLA-OBJECT nil

Khi dùng vẫn báo lỗi:Select objects:  ; error: bad argument type: VLA-OBJECT nil bạn ạ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bác cuongtk2 xem lại đoạn (= effname (vla-get-effectivename obj1)) , khi đó obj1 là nil thì nó báo lỗi ; error: bad argument type: VLA-OBJECT nil là đúng rồi bác ợ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Vào lúc 20/3/2021 tại 16:24, cuongtk2 đã nói:

Không biết lần này ra sao

demblock.LSP

Chào anh. Anh có thể chỉnh sửa thêm  lisp này khi chọn block, các block được chọn sẽ sáng trên màn hình cad cho dễ kiểm tra không ạ.

Cảm ơn anh. 

Capture.PNG

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

×